//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CodeOfNomenclatureEnum.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="CodeOfNomenclatureEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}Name"&gt;
 *     &lt;enumeration value="Bacteriological"/&gt;
 *     &lt;enumeration value="Botanical"/&gt;
 *     &lt;enumeration value="Viral"/&gt;
 *     &lt;enumeration value="Zoological"/&gt;
 *     &lt;enumeration value="Cultivated"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "CodeOfNomenclatureEnum")
@XmlEnum
public enum CodeOfNomenclatureEnum {

    @XmlEnumValue("Bacteriological")
    BACTERIOLOGICAL("Bacteriological"),
    @XmlEnumValue("Botanical")
    BOTANICAL("Botanical"),
    @XmlEnumValue("Viral")
    VIRAL("Viral"),
    @XmlEnumValue("Zoological")
    ZOOLOGICAL("Zoological"),
    @XmlEnumValue("Cultivated")
    CULTIVATED("Cultivated");
    private final String value;

    CodeOfNomenclatureEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CodeOfNomenclatureEnum fromValue(String v) {
        for (CodeOfNomenclatureEnum c: CodeOfNomenclatureEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
